import type { APIRoute } from 'astro'
import crypto from 'node:crypto'
import DaoFactory from '../../../../../models/DaoFactory'

export const post: APIRoute = async ({ params, request }) => {
	const userId = params.userId as string

	const dao = await DaoFactory.get('apiKey').create({
		user: userId,
		key: crypto.randomUUID(),
		permissions: [
			'admin.user.list'
		]
	})
	return {
		status: 201,
		body: JSON.stringify(dao)
	}
}
